# Namespace Network

# Network abstraction for @truffle/db

This provides a TypeScript (or JavaScript) interface for loading blockchain network information into a running [[Db]].

See the Network abstraction section of this documentation's index page for an overview of the purpose this abstraction serves, or see the [[Network.includeBlocks | `Network.includeBlocks()`]] method documentation for a bit more detail.

- Defined in packages/db/src/network/index.ts:1

### Index

### Constructor

InitializeOptions
initialize

### Abstraction

Network

### Other

IncludeSettings

### Internal processor

Fetch
Load
Query

Generated using TypeDoc